package com.bocloud.cmp.model.hmc.pcm;

public class PcmVirtualStorage {
    private Integer assignedPartitionId;
    private String assignedPartitionName;
    private Double totalFlow; // 整个时间间隔的总流量
    private Double latestFlow; // 上次记录的总流量
    private String startTime;
    private String latestTime;
    private Double flowRate;
    private Trend utilizedTrend;

    public Integer getAssignedPartitionId() {
        return assignedPartitionId;
    }

    public void setAssignedPartitionId(Integer assignedPartitionId) {
        this.assignedPartitionId = assignedPartitionId;
    }

    public String getAssignedPartitionName() {
        return assignedPartitionName;
    }

    public void setAssignedPartitionName(String assignedPartitionName) {
        this.assignedPartitionName = assignedPartitionName;
    }

    public Double getTotalFlow() {
        return totalFlow;
    }

    public void setTotalFlow(Double totalFlow) {
        this.totalFlow = Math.round(totalFlow * 1000) / 1000D;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public Double getLatestFlow() {
        return latestFlow;
    }

    public void setLatestFlow(Double latestFlow) {
        this.latestFlow = latestFlow;
    }

    public String getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(String latestTime) {
        this.latestTime = latestTime;
    }

    public void setUtilizedTrend(Trend utilizedTrend) {
        this.utilizedTrend = utilizedTrend;
    }

    public Double getFlowRate() {
        return flowRate;
    }

    public void setFlowRate(Double flowRate) {
        this.flowRate = Math.round(flowRate * 1000) / 1000D;
    }

    public Trend getUtilizedTrend() {
        return utilizedTrend;
    }
}
